Participant APIs | REST

Selected Version:
Download Open API File

Get coverage periods details

https://api.wealthcare.com/participant/services/participant/accounts/coverageperiod/{tpaId}/{employerId}/{participantId}/{flexAcctId}

Provides a list of coverage periods associated with a specific benefit account for a participant, allowing users to review their coverage details and timelines.

Request

  • tpaId string Required

    A unique identifier used to identify your admin instance. This value is system generated when the admin instance was created.

  • employerId string Required

    Unique identifier for the employer. Note: When the employer was created, WealthCare Admin assigned the 3-character prefix; you assigned the remaining characters.

  • participantId string Required

    Unique identifier for the participant user whose feature information is being retrieved.

  • flexAcctId string Required

    A 10-character string representing an internal key assigned to a benefit account in the WCA system, used to uniquely identify the account. This value is left-padded with 0s, i.e., "0001699940".

  • Accept-Language enum<string>

    Indicates the preferred language for the response. Valid options are Spanish (es), English (en), and French (fr). If not specified, the response defaults to English. If a requested language lacks translations for certain fields, English values will be returned.

    Possible values: es en fr
  • cardHolderType enum<string>

    Specifies the type of cardholder for which coverage period details are requested: 0 for All, 1 for Employee, and 2 for Dependent.

    Possible values: All Employee Dependent
  • dependentId string

    The unique identifier for the dependent whose coverage period details are being requested. This parameter is relevant when cardHolderType is set to Dependent.

  • decrypt integer <int32>

    Indicate if the URI parameters are encrypted or not. Use 1 for encrypted, 0 for decrypted (default is 0). This affects how the API interprets the incoming identifiers.

Response

  • array <object>
    • AcctHolderTypeCde integer

      Indicates employee vs dependent on the coverage period: 0 = employee, 2 = dependent

    • AcctHolderId string

      The Dependent ID for any coverage periods returned for a dependent. Blank for coverage periods associated with an employee.

    • AcctKey integer <int32>

      A unique identifier representing the flex account that was created by WCA when the account was first inserted. Commonly referred to as FlexAcctKey on other services.

    • Coveragekey integer <int32>

      A unique identifier for the coverage period, which is generated by WCA when the coverage period was created.

    • FirstName string

      The First Name of the dependent, for any coverage periods returned for that dependent. Blank for coverage periods associated with an employee.

    • LastName string

      The Last Name of the dependent, for any coverage periods returned for that dependent. Blank for coverage periods associated with an employee.

    • CoveragePeriodStartDate string <date-time>

      The coverage period's start date

    • CoveragePeriodEndDate string <date-time>

      The coverage period's end date

    • LifeEventType string

      The Life Event Code and Life Event Description associated with the Coverage Period. Format is returned as "XXXX - YYYY…" where XXXX is the Life Event Code and YYYY is the Life Event Description. Ex. "0001 - Marital Status - Marriage"

    • AnnualElection number <double>

      The Annual Election amount for the coverage period.

    • IndividualAmt number <double>

      The individual spending limit for the dependent, for any coverage periods returned for that dependent. 0.00 is returned for coverage periods associated with an employee.

    • DisbYTD number <double>

      Disbursed YTD amount for the coverage period.

    • AvailBal number <double>

      The Available Balance amount for the coverage period.

    • PreauthBal number <double>

      The Pre-auth Hold amount for the coverage period.

    • DisbBal number <double>

      Disbursable Balance amount for the coverage period.

    • SuspendActivity boolean

      Indicates whether the the Suspend Activity flag is set on the Coverage Period: False = disabled, True = enabled

    • RecordType string

      The Cover Period Record Type. Family is returned for Coverage Periods associated with Employees, and Individual is returned for Coverage Periods associated with Dependents.

  • array <object>
    • AcctHolderTypeCde integer

      Indicates employee vs dependent on the coverage period: 0 = employee, 2 = dependent

    • AcctHolderId string

      The Dependent ID for any coverage periods returned for a dependent. Blank for coverage periods associated with an employee.

    • AcctKey integer <int32>

      A unique identifier representing the flex account that was created by WCA when the account was first inserted. Commonly referred to as FlexAcctKey on other services.

    • Coveragekey integer <int32>

      A unique identifier for the coverage period, which is generated by WCA when the coverage period was created.

    • FirstName string

      The First Name of the dependent, for any coverage periods returned for that dependent. Blank for coverage periods associated with an employee.

    • LastName string

      The Last Name of the dependent, for any coverage periods returned for that dependent. Blank for coverage periods associated with an employee.

    • CoveragePeriodStartDate string <date-time>

      The coverage period's start date

    • CoveragePeriodEndDate string <date-time>

      The coverage period's end date

    • LifeEventType string

      The Life Event Code and Life Event Description associated with the Coverage Period. Format is returned as "XXXX - YYYY…" where XXXX is the Life Event Code and YYYY is the Life Event Description. Ex. "0001 - Marital Status - Marriage"

    • AnnualElection number <double>

      The Annual Election amount for the coverage period.

    • IndividualAmt number <double>

      The individual spending limit for the dependent, for any coverage periods returned for that dependent. 0.00 is returned for coverage periods associated with an employee.

    • DisbYTD number <double>

      Disbursed YTD amount for the coverage period.

    • AvailBal number <double>

      The Available Balance amount for the coverage period.

    • PreauthBal number <double>

      The Pre-auth Hold amount for the coverage period.

    • DisbBal number <double>

      Disbursable Balance amount for the coverage period.

    • SuspendActivity boolean

      Indicates whether the the Suspend Activity flag is set on the Coverage Period: False = disabled, True = enabled

    • RecordType string

      The Cover Period Record Type. Family is returned for Coverage Periods associated with Employees, and Individual is returned for Coverage Periods associated with Dependents.

Response Headers
No response yet.
Response Body
No response yet.
Request
Response
[
  {
    "AcctHolderTypeCde": 0,
    "AcctHolderId": "",
    "AcctKey": 1212,
    "Coveragekey": 536,
    "FirstName": "",
    "LastName": "",
    "CoveragePeriodStartDate": "2023-01-01T08:00:00Z",
    "CoveragePeriodEndDate": "2024-01-01T08:00:00Z",
    "LifeEventType": "0001 - Marital Status - Marriage",
    "AnnualElection": 500,
    "IndividualAmt": 0,
    "DisbYTD": 73.33,
    "AvailBal": 426.67,
    "PreauthBal": 0,
    "DisbBal": 426.67,
    "SuspendActivity": false,
    "RecordType": "Family"
  }
]

AI Assistant Preview

Generating response...